Package org.apache.sling.cms.core.models

## Class SearchResults

- java.lang.Object
- - org.apache.sling.cms.core.models.SearchResults

    @ProviderType
    @Model(adaptables=org.apache.sling.api.SlingHttpServletRequest.class)
    public class SearchResults
    extends Object

Model for retrieving the search results

### Constructor Summary

Constructors
`SearchResults​(org.apache.sling.api.SlingHttpServletRequest request)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Iterator<org.apache.sling.api.resource.Resource>` `getResults()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SearchResults

    public SearchResults​(org.apache.sling.api.SlingHttpServletRequest request)

### Method Detail

#### getResults

    public Iterator<org.apache.sling.api.resource.Resource> getResults()